diff -Naurd ./undetected_chromedriver/patcher.py ./undetected_chromedriver/patcher.py
--- ./undetected_chromedriver/patcher.py	2023-02-15 16:55:09
+++ ./undetected_chromedriver/patcher.py	2023-02-15 17:09:23
@@ -8,6 +8,7 @@
 import random
 import re
 import string
+import subprocess
 import sys
 import time
 from urllib.request import urlopen
@@ -19,6 +20,7 @@
 
 IS_POSIX = sys.platform.startswith(("darwin", "cygwin", "linux", "linux2"))
 
+chromedriver_version_reprog = re.compile(r'ChromeDriver +(\d+)(.\d+)* +.*')
 
 class Patcher(object):
     url_repo = "https://chromedriver.storage.googleapis.com"
@@ -85,6 +87,15 @@
         if executable_path:
             self._custom_exe_path = True
             self.executable_path = executable_path
+            try:
+                version_main = int(
+                    chromedriver_version_reprog.sub('\\1',
+                        subprocess.run([self.executable_path, '--version'],
+                            stdout=subprocess.PIPE).stdout.decode('ascii').strip()
+                    )
+                )
+            except Exception as e:
+                print(e)
         self.version_main = version_main
         self.version_full = None
 
